## python-qt4 4.10.4+dfsg

=== debian/changelog ===
python-qt4 (4.10.4+dfsg-1ubuntu1) trusty; urgency=medium

  * Fix encoding issues when converting a QString back to ai
    python string (LP: #1299881)
    + Add kubuntu_fix-encoding-issues.patch

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 15 Apr 2014 15:49:22 +0200

python-qt4 (4.10.4+dfsg-1build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:00 +0100

python-qt4 (4.10.4+dfsg-1) experimental; urgency=medium

  [ Bernd Zeimetz ]
  * Removing myself from Uploaders. 

  [ Dmitry Shachnev ]
  * New upstream bugfix release.
  * Bump sip version requirement to 4.15.5.
  * debian/patches/config_extra_headers.diff: drop, applied upstream.
  * debian/patches/phonon_cfgtest.diff: drop, fixed differently upstream.
  * Refresh and rebase other patches.
  * debian/rules: Drop Python 2.5 compatibility code.
  * debian/watch: Fix DFSG version mangling.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 19 Mar 2014 17:23:38 +0400

python-qt4 (4.10.3+dfsg1-1) unstable; urgency=low

  * get-orig-source.sh: Only remove the _static folder, as we still
    need some files in html that are not generated by Sphinx.
  * Re-add debian/python-qt4-doc.docs (closes: #729993).
  * Remove obsolete README.debian, examples work fine now.
  * Do not install Windows-specific activeqt examples.
  * Add description to debian_configure_changes.diff.
  * Remove leftover debug output from debian/rules.
  * Symlink duplicate files in examples using fdupes.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 20 Nov 2013 12:25:42 +0400

python-qt4 (4.10.3+dfsg-1) unstable; urgency=low

  * Update pyrcc4 man page to list -py2 and -py3 options.
  * Regenerate resource files during build.
  * Repack orig tarball to remove non-free Sphinx-generated HTML
    documentation and non-free JS files (closes: #723039).
  * Add debian/get-orig-source.sh script.
  * Update debian/watch to mangle dfsg version.
  * Drop debian/python-qt4-doc.docs, we install docs directly.
  * Pass --debug to configure.py when doing debug builds.
  * Add a patch (phonon_cfgtest.diff) to fix detection of new Phonon
    versions (closes: #729390).
  * Add a patch (config_flags.diff) to apply build flags to designer
    module.
  * Remove duplicate references to GPL license file from debian/copyright.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 13 Nov 2013 14:02:27 +0400

python-qt4 (4.10.3-2) unstable; urgency=low

  * Upload to unstable

  [ Jonathan Riddell ]
  * Add patch qreal_float_support.diff back to add back QList<double> code

  [ Scott Kitterman ]
  * Remove __pycache__ directories shipped in some examples

 -- Scott Kitterman <scott@kitterman.com>  Sat, 12 Oct 2013 02:20:26 -0400
