=== debian/control ===
Source: python-qt4
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Michael Casadevall <mcasadevall@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Dmitry Shachnev <mitya57@gmail.com>
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 7),
               fdupes,
               libicu-dev,
               libdbus-1-dev (>= 1.0.2),
               libphonon-dev (>= 4:4.2.0-2),
               libqt4-dev (>= 4:4.8.0-1~),
               libqt4-opengl-dev,
               libqtassistantclient-dev,
               libqtwebkit-dev,
               python-all-dbg,
               python-all-dev (>= 2.7.5-1~),
               python3-all-dbg,
               python3-all-dev (>= 3.3),
               python-dbus (>= 1.0.0~),
               python-dbus-dbg,
               python3-dbus,
               python3-dbus-dbg,
               python-dbus-dev,
               python-sip-dbg,
               python-sip-dev (>= 4.15.5),
               python3-sip-dbg,
               python3-sip-dev (>= 4.15.5),
               python-sphinx (>= 1.0.7+dfsg-1~)
Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0
Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-qt4/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-qt4/trunk/
XS-Testsuite: autopkgtest

Package: python-qt4
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, ${sip:Depends}
Suggests: python-qt4-dbg
Replaces: python-qt4-dev (<< 4.4.4-3~)
Breaks: python-qscintilla2 (<= 2.5.1-1),
        python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-6),
        python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7),
        python-kde4 (<= 4:4.6.80-3+b1),
        python-qt4-dbg (<< 4.8.3-3),
        python-qt4-gl (<< 4.8.3-3),
        python-qt4-sql-dbg (<< 4.8.3-3),
        python-qt4-sql (<< 4.8.3-3),
        python-qt4-phonon-dbg (<< 4.8.3-3),
        python-qt4-gl-dbg (<< 4.8.3-3),
        python-qt4-phonon (<< 4.8.3-3),
        python-sip4 (<< 4.13.1~)
Description: Python bindings for Qt4
 PyQt4 exposes the Qt4 API to Python. The following modules are supported:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXml
  * QtScript
  * QtSvg
  * QtTest
  * QtAssistant
  * QtWebKit
  * QtOpenGL (in python-qt4-gl)
  * QtSql (in python-qt4-sql)
  * phonon (in python-qt4-phonon)

Package: python3-pyqt4
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sip3:Depends}
Suggests: python3-pyqt4-dbg
Breaks: python3-sip (<< 4.13.1~)
Description: Python3 bindings for Qt4
 PyQt4 exposes the Qt4 API to Python3. The following modules are supported:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXml
  * QtScript
  * QtSvg
  * QtTest
  * QtAssistant
  * QtWebKit
  * QtOpenGL (in python3-pyqt4.qtopengl)
  * QtSql (in python3-pyqt4.qtsql)
  * phonon (in python3-pyqt4.phonon)

Package: python-qt4-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qt4 (= ${binary:Version}),
         python-sip-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt4 (debug extensions)
 PyQt4 exposes the Qt4 API to Python.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-pyqt4-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4 (= ${binary:Version}),
         python3-sip-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for Qt4 (debug extensions)
 PyQt4 exposes the Qt4 API to Python3.
 .
 This package contains the extensions built for the Python3 debug interpreter.

Package: python-qt4-phonon
Architecture: any
Depends: python-qt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for Phonon
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python.

Package: python3-pyqt4.phonon
Architecture: any
Depends: python3-pyqt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for Phonon
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python3.

Package: python-qt4-phonon-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qt4-dbg (= ${binary:Version}),
         python-qt4-phonon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Phonon (debug extensions)
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-pyqt4.phonon-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4-dbg (= ${binary:Version}),
         python3-pyqt4.phonon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for Phonon (debug extensions)
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python3.
 .
 This package contains the extensions built for the Python3 debug interpreter.

Package: python-qt4-dbus
Architecture: any
Depends: python-dbus (>= 0.84.0-2~),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt4
 The D-Bus module of PyQt4 provides integration of PyQt4 applications
 with the D-Bus main loop.

Package: python-qt4-dbus-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python-dbg,
         python-dbus-dbg,
         python-qt4-dbus (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt4 (debug extensions)
 The D-Bus module of PyQt4 provides integration of PyQt4 applications
 with the D-Bus main loop.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-dbus.mainloop.qt
Architecture: any
Depends: python3-dbus,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt4 with Python 3
 The D-Bus module of PyQt4 provides integration of PyQt4 applications
 with the D-Bus main loop for Python 3

Package: python3-dbus.mainloop.qt-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python3-dbg,
         python3-dbus-dbg,
         python3-dbus.mainloop.qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt4 (debug extensions for Python 3)
 The D-Bus module of PyQt4 provides integration of PyQt4 applications
 with the D-Bus main loop for Python 3
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-qt4-gl
Architecture: any
Depends: python-qt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt4's OpenGL module
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a PyQt4 application.

Package: python-qt4-gl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qt4-dbg (= ${binary:Version}),
         python-qt4-gl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt4's OpenGL module (debug extension)
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a PyQt4 application.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pyqt4.qtopengl
Architecture: any
Depends: python3-pyqt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt4's OpenGL module
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a Python3 PyQt4 application.

Package: python3-pyqt4.qtopengl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4-dbg (= ${binary:Version}),
         python3-pyqt4.qtopengl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt4's OpenGL module (debug extension)
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a Python3 PyQt4 application.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-qt4-sql
Architecture: any
Depends: python-qt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for
 SQL database access.

Package: python3-pyqt4.qtsql
Architecture: any
Depends: python3-pyqt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for
 Python3 SQL database access.

Package: python-qt4-sql-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qt4-dbg (= ${binary:Version}),
         python-qt4-sql (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for PyQt4's SQL module (debug extension)
 The SQL module of PyQt4 provides widgets and utility classes for
 SQL database access.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pyqt4.qtsql-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4-dbg (= ${binary:Version}),
         python3-pyqt4.qtsql (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for PyQt4's SQL module (debug extension)
 The SQL module of PyQt4 provides widgets and utility classes for
 Python3 SQL database access.
 .
 This package contains the extension built for the Python3 debug interpreter.

Package: python-qt4-dev
Architecture: all
Depends: python-sip-dev, ${misc:Depends}, ${python:Depends}
Description: Development files for PyQt4
 This package contains the source SIP files from which the Python
 bindings for Qt4 are created. They are needed for building PyQt4
 as well as creating bindings for own Qt4 widgets written in C++.

Package: python-qt4-doc
Architecture: all
Section: doc
Suggests: qt4-doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation and examples for PyQt4
 PyQt4 exposes the Qt4 GUI toolkit in Python.
 .
 This package contains Python-specific documentation for PyQt4 and
 the Qt example programs ported to Python.

Package: pyqt4-dev-tools
Depends: python,
         python-qt4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Architecture: any
Description: Development tools for PyQt4
 This package contains various support tools for PyQt4 developers:
  * a user interface compiler (pyuic4)
  * a resource file generator (pyrcc4)
  * a translation string finder (pylupdate)
