=== debian/tests/control ===
Tests: import
Depends: python-qt4
