## python-qt4 4.11.1+dfsg

=== debian/changelog ===
python-qt4 (4.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/fix_implicit_qtablewidget.patch and debian/patches/
      add_pro_files.diff which were cherry picks from upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 04 Jul 2014 22:24:13 -0400

python-qt4 (4.11+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Stop forcing bzip2 compression, it is now deprecated.

  [ Scott Kitterman ]
  * Added debian/patches/fix_implicit_qtablewidget.patch to fix a pyuic
    regression in the handling of implicit QTableWidget dimensions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jun 2014 23:55:52 -0400

python-qt4 (4.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop qstring_conversion.diff, applied upstream.
  * Backport add_pro_files.diff from upstream to make configure.py work.
  * Refresh other patches.
  * Bump required sip4 version to 4.16.
  * Remove generated searchindex.js from the tarball.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 01 Jun 2014 13:56:15 +0400

python-qt4 (4.10.4+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch (qstring_conversion.diff) to fix a bug in
    the conversion of QStrings with surrogate pairs.

  [ Scott Kitterman ]
  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 May 2014 17:35:56 -0400
