=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-qt4
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
@@ -27,9 +26,9 @@
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.15.5),
+               python-sip-dev (>= 4.16),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.15.5),
+               python3-sip-dev (>= 4.16),
                python-sphinx (>= 1.0.7+dfsg-1~)
 Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
 Standards-Version: 3.9.5
