## python-qt4 4.11.2+dfsg

=== debian/changelog ===
python-qt4 (4.11.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update my e-mail address.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Sep 2014 13:24:19 +0400
