=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
-           Dmitry Shachnev <mitya57@gmail.com>
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~),
                debhelper (>= 7),
                fdupes,
