## python-qt4 4.11.3+dfsg

=== debian/changelog ===
python-qt4 (4.11.3+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Switch debian/copyright to copyright-format 1.0.
  * Add missing licensing information.
  * Use Files-Excluded instead of get-orig-source.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 13 Nov 2014 11:05:25 +0300
