## python-qt4 4.11.4+dfsg

=== debian/changelog ===
python-qt4 (4.11.4+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add explicit build-dependency on dh-python.
  * Build with Sphinx 1.3.
  * Stop building and installing the WebKit module (closes: #784513).
    - Break older versions of openlp, eric and python-qgis.
  * Drop obsolete XS-Testsuite header.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 May 2016 12:45:33 +0300

python-qt4 (4.11.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - pyuic now sorts imported modules (closes: #787250).
  * Drop remove_timestamps.diff, applied upstream.
  * Bump the required sip version to 4.16.4.
  * Add a temporary hack to use upstream stylesheet when building the
    documentation with Sphinx 1.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jun 2015 15:17:18 +0300

python-qt4 (4.11.3+dfsg-2) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Added patch which removes embedding of timestamps in generated
    files, to enable reproducible builds in packages build-depending
    on python-qt4 (closes: #774509).

  [ Dmitry Shachnev ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 14 May 2015 15:18:25 +0300
