=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
            Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~),
-               debhelper (>= 7),
+Build-Depends: debhelper (>= 7),
+               dh-python,
+               dpkg-dev (>= 1.16.1~),
                fdupes,
                libicu-dev,
                libdbus-1-dev (>= 1.0.2),
@@ -15,7 +16,6 @@
                libqt4-dev (>= 4:4.8.0-1~),
                libqt4-opengl-dev,
                libqtassistantclient-dev,
-               libqtwebkit-dev,
                python-all-dbg,
                python-all-dev (>= 2.7.5-1~),
                python3-all-dbg,
@@ -26,18 +26,17 @@
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.16),
+               python-sip-dev (>= 4.16.4),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.16),
-               python-sphinx (>= 1.0.7+dfsg-1~)
+               python3-sip-dev (>= 4.16.4),
+               python-sphinx (>= 1.3)
 Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-qt4/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-qt4/trunk/
-XS-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-qt4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-qt4.git
 
 Package: python-qt4
 Architecture: any
@@ -48,6 +47,7 @@
         python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-6),
         python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7),
         python-kde4 (<= 4:4.6.80-3+b1),
+        python-qgis (<< 2.14.3+dfsg-2~),
         python-qt4-dbg (<< 4.8.3-3),
         python-qt4-gl (<< 4.8.3-3),
         python-qt4-sql-dbg (<< 4.8.3-3),
@@ -67,7 +67,6 @@
   * QtSvg
   * QtTest
   * QtAssistant
-  * QtWebKit
   * QtOpenGL (in python-qt4-gl)
   * QtSql (in python-qt4-sql)
   * phonon (in python-qt4-phonon)
@@ -76,7 +75,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sip3:Depends}
 Suggests: python3-pyqt4-dbg
-Breaks: python3-sip (<< 4.13.1~)
+Breaks: python3-sip (<< 4.13.1~), openlp (<< 2.4~), eric (<< 6.0~)
 Description: Python3 bindings for Qt4
  PyQt4 exposes the Qt4 API to Python3. The following modules are supported:
   * QtCore
@@ -88,7 +87,6 @@
   * QtSvg
   * QtTest
   * QtAssistant
-  * QtWebKit
   * QtOpenGL (in python3-pyqt4.qtopengl)
   * QtSql (in python3-pyqt4.qtsql)
   * phonon (in python3-pyqt4.phonon)
