=== debian/changelog ===
python-qt4 (4.12.1+dfsg-2) unstable; urgency=medium

  * Drop Breaks/Replaces on versions that are not even in oldstable.
  * Bump Standards-Version to 4.1.0, stop using deprecated Priority: extra.
  * Switch from python-sphinx to python3-sphinx.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Sep 2017 21:45:37 +0300

python-qt4 (4.12.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop debug_interpreter.diff, applied upstream.
  * Refactor debian/rules to avoid removing files after install.
  * Stop removing pyshared directories, they are no longer created.
  * Bump debhelper compatibility level to 10.
  * Remove unused variables from debian/rules.
  * Drop debian/python-qt4-doc.docs, we already install the built docs
    manually in debian/rules.
  * Call dh_strip_nondeterminism during build.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Jul 2017 18:53:41 +0300

python-qt4 (4.12+dfsg-1) experimental; urgency=medium

  [ Scott Kitterman ]
  * Remove Michael Casadevall from uploaders due to retirement from Debian
    (Closes: #841464)
    - Thanks Michael for all your work on python-qt4

  [ Dmitry Shachnev ]
  * Update debian/watch for new tarballs naming scheme.
  * New upstream release.
  * Bump required sip version to 4.19.1, to make debug builds possible.
  * Add a patch to fix building extensions for debug interpreters
    (debug_interpreter.diff).
  * Disable rpath in configure options, now that we are using unpatched sip.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 May 2017 11:52:18 +0300
