=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
-           Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 10),
                dh-python,
+               dh-strip-nondeterminism,
                dpkg-dev (>= 1.16.1~),
                fdupes,
                libicu-dev,
@@ -26,12 +26,11 @@
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.16.4),
+               python-sip-dev (>= 4.19.1+dfsg-2~),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.16.4),
-               python-sphinx (>= 1.3)
-Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
-Standards-Version: 3.9.8
+               python3-sip-dev (>= 4.19.1+dfsg-2~)
+Build-Depends-Indep: python3-sphinx (>= 1.3)
+Standards-Version: 4.1.0
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
@@ -42,20 +41,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, ${sip:Depends}
 Suggests: python-qt4-dbg
-Replaces: python-qt4-dev (<< 4.4.4-3~)
-Breaks: python-qscintilla2 (<= 2.5.1-1),
-        python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-6),
-        python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7),
-        python-kde4 (<= 4:4.6.80-3+b1),
-        python-qgis (<< 2.14.3+dfsg-2~),
-        python-qt4-dbg (<< 4.8.3-3),
-        python-qt4-gl (<< 4.8.3-3),
-        python-qt4-sql-dbg (<< 4.8.3-3),
-        python-qt4-sql (<< 4.8.3-3),
-        python-qt4-phonon-dbg (<< 4.8.3-3),
-        python-qt4-gl-dbg (<< 4.8.3-3),
-        python-qt4-phonon (<< 4.8.3-3),
-        python-sip4 (<< 4.13.1~)
+Breaks: python-qgis (<< 2.14.3+dfsg-2~)
 Description: Python bindings for Qt4
  PyQt4 exposes the Qt4 API to Python. The following modules are supported:
   * QtCore
@@ -75,7 +61,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sip3:Depends}
 Suggests: python3-pyqt4-dbg
-Breaks: python3-sip (<< 4.13.1~), openlp (<< 2.4~), eric (<< 6.0~)
+Breaks: openlp (<< 2.4~), eric (<< 6.0~)
 Description: Python3 bindings for Qt4
  PyQt4 exposes the Qt4 API to Python3. The following modules are supported:
   * QtCore
@@ -92,7 +78,6 @@
   * phonon (in python3-pyqt4.phonon)
 
 Package: python-qt4-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python-dbg,
@@ -106,7 +91,6 @@
  This package contains the extensions built for the Python debug interpreter.
 
 Package: python3-pyqt4-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -140,7 +124,6 @@
  to Python3.
 
 Package: python-qt4-phonon-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python-dbg,
@@ -155,7 +138,6 @@
  This package contains the extensions built for the Python debug interpreter.
 
 Package: python3-pyqt4.phonon-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -181,7 +163,6 @@
 
 Package: python-qt4-dbus-dbg
 Architecture: any
-Priority: extra
 Section: debug
 Depends: python-dbg,
          python-dbus-dbg,
@@ -206,7 +187,6 @@
 
 Package: python3-dbus.mainloop.qt-dbg
 Architecture: any
-Priority: extra
 Section: debug
 Depends: python3-dbg,
          python3-dbus-dbg,
@@ -230,7 +210,6 @@
  for OpenGL rendering in a PyQt4 application.
 
 Package: python-qt4-gl-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python-dbg,
@@ -255,7 +234,6 @@
  for OpenGL rendering in a Python3 PyQt4 application.
 
 Package: python3-pyqt4.qtopengl-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -290,7 +268,6 @@
  Python3 SQL database access.
 
 Package: python-qt4-sql-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python-dbg,
@@ -305,7 +282,6 @@
  This package contains the extension built for the Python debug interpreter.
 
 Package: python3-pyqt4.qtsql-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
