=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 py_dbusmoddir = $(shell python$(1) -c 'import dbus.mainloop; print dbus.mainloop.__path__[0]')
 py3_dbusmoddir = $(shell python3 -c 'import dbus.mainloop; print(dbus.mainloop.__path__[0])')
-
-debian_version = $(word 2,$(shell dpkg-parsechangelog | grep ^Version:))
-upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))
-upstream_version = $(subst ~,,$(firstword $(subst +, ,$(debian_version))))
 
 export QMAKESPEC=linux-g++
 
@@ -43,7 +39,7 @@
 # STRIP is unset to let stripping be handled by dh_strip
 SHARED_CONFIGURE_OPTIONS=--confirm-license --verbose \
 	-q /usr/bin/qmake-qt4 -c -j $(SPLIT) \
-	LIBDIR_QT=/usr/lib STRIP="" MOC=moc-qt4 \
+	RPATH="" LFLAGS_RPATH="" STRIP="" MOC=moc-qt4 \
 	LIBS_OPENGL="" LIBS_X11="" LIBS_THREAD="" \
 	CFLAGS="${CFLAGS} ${CPPFLAGS}" \
 	CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" \
@@ -162,7 +158,7 @@
 		mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
 		mv $(CURDIR)/debian/tmp$(call py3_dbusmoddir,3.$*)/qt.so \
 		$(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
-		echo 'usr/lib/python3.$*/dist-packages/*' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
+		echo 'usr/lib/python3.$*/dist-packages/dbus/' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
 	fi
 	mv $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py \
 		$(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_nd$*.py
@@ -205,3 +201,6 @@
 
 	mv $(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/pyqtconfig.py \
 		$(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/pyqtconfig_d.py
+	mkdir -p debian/python-qt4-gl-dbg/usr/lib/python$*/dist-packages/PyQt4
+	mv $(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/QtOpenGL.so \
+		debian/python-qt4-gl-dbg/usr/lib/python$*/dist-packages/PyQt4
