=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg \
http://sf.net/pyqt/PyQt4_gpl_x11-(.*)\.tar\.gz
